%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define gecko_ver 1.9

Name: pytrainer
Version: 1.7.2
Release: 1%{?dist}
Summary: A tool to log all your sport excursions

Group: Development/Languages
License: GPLv2+
URL: https://sourceforge.net/projects/pytrainer/
Source0: http://downloads.sourceforge.net/project/pytrainer/%{name}/PyTrainer%20%{version}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: gpsbabel
Requires: python-matplotlib
Requires: gnome-python2-gtkmozembed
Requires: SOAPpy
Requires: gecko-libs >= %{gecko_ver}
BuildRequires: python-devel
BuildRequires: desktop-file-utils

%description
A tool to log all your sport excursions.

%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

desktop-file-install --vendor="fedora" --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

 
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{python_sitelib}/*


%changelog
* Mon Nov 08 2010 Doug Warner <doug@warner.fm> 1.7.2-1
- removing sqlite3 patch
- removing custom launch script
- PyTrainer changes for 1.7.2:
  * Lap DB table created and code changed to populate and use the table [507]
    [508] [509]
  * Google Earth plugin modified to work with new plugin architecture [515]
  * pytrainer startup script modified to work with different install locations
    [532] [533]
  * Removed bug that caused errors for activities with no GPX file [542]
  * Localisation updates [539]
- PyTrainer changes for 1.7.1:
  * New import plugin - Garmintools - svn [430], [431], [436], [452], [453],
    [459], [460], [461], [463], [464], [486], [487], [488]
  * Move to Google maps API version 3 - svn [477]
  * Add lap functionality - svn [433], [447], [448], [451], [454], [455]
  * Improve check functionality - svn [437], [438], [439], [475], [478],
    [479], [480], [482]
  * Timezone support - svn [434], [440], [442], [483]
  * Cadence / RPM support and graph added (tcx v2 file import only) - svn
    [432]
  * Bug fix to TCX v2 to cater for multiple activities per file - svn [435]
  * Bug fix for calorie calculation - svn [441], [474]
  * Bug fix for migration/new install error bug #2924209 - svn [456]
  * Bug fix for GPX import without elevation data - svn [490]
  * Bug fix to prevent adding empty entries - svn [496], [498], [499]
  * Updated localizations (es, fr) - svn [494], [495], [497]
  * Separate some GUI elements into separate files to ease development - svn
    [443], [457], [465]
- PyTrainer changes for 1.7.0:
  * Updated Spanish translation (svn rev 420,423,424)
  * Updated French translation (svn rev 421)
  * Migration to lxml for better performance (svn rev 412,413,414)
  * Modified on_sportlist_changed event to improve performance (svn rev 409)
  * Fix for minor bug in translation scripts (svn rev 402)
  * Fix for bug #2811470 - clickable link for further details on MET (links to
    wikipedia) (svn rev 391)
  * Fix for bug #2089342 auto refresh after import, edit and delete of records
    (svn rev 390,425)
  * Refactoring database and config file sanity checks (triggered with --check
    at startup) (svn rev 389,392,396,401)
  * Added weekly view (svn rev 388,393,394,395,398,403-410,426)
  * Fix for multiple graphs view (svn rev 386,387)
  * Better error handling preventing pytrainer to crash (svn rev 364,369)
  * Support for plugin validation (triggered with --valid at startup)(svn rev
    361,363,371)
  * Import TCXv2 files (svn rev 351,355,356)
  * Improving import from TCXv1 format (svn rev 354,371,375,376)
  * Several improvements in plugins handling (svn rev 350,353,360,378,422)
  * Import GPX files (svn rev 349)
- PyTrainer tasks for 1.6.0.9:
  * Added dynamic loading and unloading of plugin menu items (svn rev 344)
  * Adding calories support suggested by JB (svn rev 342)
  * Fixed some hardcoded stuff that prevents pytrainer to copy entries to
    ~/.pytrainer/gpx (thanks to JB) (svn 340)
  * Major improvements in graphs (thanks to Fiz) (svn revs 339, 336, 332, 331)
  * Updated german translation - bug ID: 2811507 (thanks to Noèl) (svn revs 338,
    333)
  * Minor project and license information updated (svn revs 337, 335, 334, 329)

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.6.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Aug 10 2009 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.8-1
- updating to 1.6.0.8
- Rotating log file support added
- Translations reviewed and added script to facilitate them
- Several improvements to Wordpress extension
- Changed potential problems when dealing with date objects using MySQL as DB
- Removing redundant calls improving graphical performance
- Optimizing xml files parsing when retrieving data from them

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.7-1
- updating to 1.6.0.7
- includes patch to use sqlite3
- Removing pytrainer gui minimal window size
- Ordered shutdown of logging stuff
- HR and elevation graphs included when exporting to wordpress
- Removal of maps directory due to license issue:
  https://sourceforge.net/mailarchive/message.php?msg_name=1237752714.4330.15.camel%40thinker.domain.lan
- Removal of opensuse_mozpytrainer.sh launch script as it is included in (renamed)
  pytrainer.sh. Deleted README.txt file to avoid confusion
- Updated INSTALL file with current package versions
- Fixed Google Maps integration
- Updated garmin-hr config file with correct usb port value
- Fixed bug where track record was supposed to be updated in database. Type cast
  was missing
- Bug #2100647 - Quick entry doesn't work if no gpx file - Fixed
- FR #2126411 - Package python-sqlite2 not needed anymore:
  http://www.python.org/doc/2.5.2/lib/module-sqlite3.html

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.6-1
- updating to 1.6.0.6 to incorporate one of my patches
- updating to point at correct location for xulrunner
- removing firefox support

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.6.0.5-4
- Rebuild for Python 2.6

* Mon Sep 29 2008 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.5-3
- fixing gecko-libs requirement

* Wed Sep 23 2008 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.5-2
- replacing environ hack patch with shell script
- adding patch to clean up desktop file

* Mon Sep 15 2008 Douglas E. Warner <silfreed@silfreed.net> 1.6.0.5-1
- updating to 1.6.0.5

* Mon Jul 07 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-6
- bumping xulrunner dep to 1.9.0.1

* Mon Jul 07 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-5
- bumping xulrunner dep to 1.9.0.1

* Mon Jul 07 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-4
- owning datadir

* Thu Jun 19 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-3
- updating to support xulrunner or firefox
- removing empty doc line
- added patch to use sqlite3

* Mon Apr 21 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-2
- update for firefox 2.0.0.14
- fix rpmlint errors

* Thu Feb 14 2008 Douglas E. Warner <silfreed@silfreed.net> 1.5.0.0.1-1
- update to 1.5.0.0.1
- update for firefox 2.0.0.12

* Thu Feb 14 2008 Douglas E. Warner <silfreed@silfreed.net> 1.4.7.2-1
- update to 1.4.7.2
- update for firefox 2.0.0.11

* Mon Nov 16 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-5
- update for firefox 2.0.0.10

* Mon Nov 16 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-4
- update for firefox 2.0.0.9

* Mon Nov 05 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-3
- update for firefox 2.0.0.8

* Fri Oct 05 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-2
- patch for working around libgtkmozembed.so crash - mozbug#325884

* Fri Oct 05 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.5-1
- update to 1.4.5
- removing patches

* Tue Oct 02 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.4-3
- switching to noarch package

* Tue Oct 02 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.4-2
- adding patches for changeset 107 and 108

* Mon Oct 01 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.4-1
- update to 1.4.4

* Sun Sep 23 2007 Douglas E. Warner <silfreed@silfreed.net> 1.4.2-1
- Initial RPM release.

